View a markdown version of this page

ListCustomDetectionRuleOrgConfigurations - Amazon GuardDuty

ListCustomDetectionRuleOrgConfigurations

Returns all organization-level configurations for custom detection rules. You can filter the results by status.

Request Syntax

GET /custom-detection-rule/org-configuration?maxResults=MaxResults&nextToken=NextToken&status=Status HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

MaxResults

The maximum number of results to return in a single page. Minimum value of 1, maximum value of 100.

Valid Range: Minimum value of 1. Maximum value of 100.

NextToken

A pagination token from a previous response. Use this token to retrieve the next page of results.

Status

The configuration status to filter by.

Valid Values: ACTIVE | PROCESSING | FAILED

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "configurations": [ { "createdAt": number, "expiresAt": number, "mode": "string", "ruleId": "string", "status": "string", "statusReason": "string", "updatedAt": number } ], "nextToken": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

configurations

A list of organization configurations for custom detection rules.

Type: Array of DetectionRuleOrgConfigurationSummary objects

nextToken

A pagination token to retrieve the next page of results. If this field is empty, there are no additional results.

Type: String

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

An access denied exception object.

Message

The error message.

Type

The error type.

HTTP Status Code: 403

BadRequestException

A bad request exception object.

Message

The error message.

Type

The error type.

HTTP Status Code: 400

InternalServerErrorException

An internal server error exception object.

Message

The error message.

Type

The error type.

HTTP Status Code: 500

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: